# Function action_link

- action_link(
  url: string,
  req: object,
  opts: {
  action_bgcol: string;
  action_bordercol: string;
  action_icon: any;
  action_label: string;
  action_name: string;
  action_size: number;
  action_style: string;
  action_textcol: string;
  confirm: any;
  rndid: any;
  },
  __?: any,
  ): object

  #### Parameters

  - url: string
  - req: object
  - opts: {
    action_bgcol: string;
    action_bordercol: string;
    action_icon: any;
    action_label: string;
    action_name: string;
    action_size: number;
    action_style: string;
    action_textcol: string;
    confirm: any;
    rndid: any;
    }
  - __: any = ...

  #### Returns object

  - Defined in packages/saltcorn-data/base-plugin/viewtemplates/viewable_fields.js:140